From: [email-masked]
To: [email-masked]
Cc: [email-masked]
Date: Wed, 28 Mar 2001 03:48:00 -0800 (PST)

Dear Mike:

I spoke to Alan Kent from the Title Company this morning,  He was there
signing the Contract and I assume depositing the $20,000 balance of earnest
money.  I reminded him that we were looking to him to acquire and pay for
the Survey.  He indicated that would not be a problem.

As soon as the Commitment for Title Insurance is issued and the Survey
completed a closing date will be set.

If you have any questions, please call or E-mail me back.

Don Stirman